diff --git a/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/Editors.jsx b/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/Editors.jsx
index 6839cf65b..4fee7dbc6 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/Editors.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/Editors.jsx
@@ -123,6 +123,10 @@ function setEditorPosition(cellEle, editorEle) {
   if(!editorEle || !cellEle) {
     return;
   }
+  /* Once the position is set, then don't change it */
+  if(editorEle.style.left || editorEle.style.top) {
+    return;
+  }
   let gridEle = cellEle.closest('.rdg');
   let cellRect = cellEle.getBoundingClientRect();
   let position = {
